Subject: Re: Files that want to delete themselves

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 24 Sep 2008 11:05:47 -0700

Andrew Vit <[email-masked]> wrote:
> 
> I have a Rails project that I'm managing with git and I have a strange
> problem with one of the plugin directories. Every time I do `git add .` it
> tries to delete itself... Any idea what might be happening?
> 
> andrew$ git status
> # On branch master
> # Changes to be committed:
> #   (use "git reset HEAD <file>..." to unstage)
> #
> #	new file:   vendor/plugins/restful_authentication
> #	deleted:    vendor/plugins/restful_authentication/CHANGELOG
> #	deleted:    vendor/plugins/restful_authentication/README.textile
> #	deleted:    vendor/plugins/restful_authentication/Rakefile
> #	deleted:    vendor/plugins/restful_authentication/TODO

Are you on a case-insensitive filesystem like HFS+?

Is it possible that restful_authentication exists as a file in
your working directory, but as a directory in Git, but with a
different case?

What does `git ls-tree HEAD:vendor/plugins` show you as the last
committed contents of vendor/plugins?

I'm a little stumped, but it sounds like the issues that have come
up before due to a case-insensitive filesystem.

-- 
Shawn.